# HTTP File Upload plugin for libpurple (XMPP Protocol)
XEP-0363: HTTP File Upload plugin for libpurple (Pidgin, Finch, etc.)

## Installation
### Linux, macOS
1. Install the dependencies (`libxml2-dev`, `libpurple-dev`, `libglib2.0-dev`, `libgio2.0-dev`)
2. `git clone https://github.com/Junker/purple-xmpp-http-upload.git`
3. `cd purple-xmpp-http-upload`
4. `make`
5. A final `make install` should copy the plugin into your libpurple plugin dir.

## Usage
click the "Conversation" menu, then "More" and select "HTTP file upload"
